org.keycloak.authentication.authenticators.x509

## Enum X509AuthenticatorConfigModel.IdentityMapperType

- java.lang.Object
- - java.lang.Enum<X509AuthenticatorConfigModel.IdentityMapperType>
  - - org.keycloak.authentication.authenticators.x509.X509AuthenticatorConfigModel.IdentityMapperType

- All Implemented Interfaces:
    Serializable, Comparable<X509AuthenticatorConfigModel.IdentityMapperType>
  Enclosing class:
    X509AuthenticatorConfigModel

      public static enum X509AuthenticatorConfigModel.IdentityMapperType
      extends Enum<X509AuthenticatorConfigModel.IdentityMapperType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `USER_ATTRIBUTE`
    `USERNAME_EMAIL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `static X509AuthenticatorConfigModel.IdentityMapperType` | `parse(String name)`
    `static X509AuthenticatorConfigModel.IdentityMapperType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static X509AuthenticatorConfigModel.IdentityMapperType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USER_ATTRIBUTE

          public static final X509AuthenticatorConfigModel.IdentityMapperType USER_ATTRIBUTE

    - #### USERNAME_EMAIL

          public static final X509AuthenticatorConfigModel.IdentityMapperType USERNAME_EMAIL

  - ### Method Detail

    - #### values

          public static X509AuthenticatorConfigModel.IdentityMapperType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (X509AuthenticatorConfigModel.IdentityMapperType c : X509AuthenticatorConfigModel.IdentityMapperType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static X509AuthenticatorConfigModel.IdentityMapperType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### parse

          public static X509AuthenticatorConfigModel.IdentityMapperType parse(String name)
                                                                       throws IllegalArgumentException,
                                                                              IndexOutOfBoundsException

      Throws:
        `IllegalArgumentException`
        `IndexOutOfBoundsException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.